# Surbase

Base system for web services.

## Installation

Add this line to your application's Gemfile:

    gem 'surbase'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install surbase

## Usage

### 1. Add Gemfile

    gem "surbase"
    gem "omniauth"
    gem "omniauth-twitter"  # Optional
    gem "omniauth-facebook" # Optional
    gem "omniauth-github"   # Optional

### 2. Bundle install

    bundle install

### 3. Install custom generator

    rails generate surbase:install

### 4. Edit config/surbase_secrets.rb

    vi config/surbase_secrets.rb

### 5. Edit config/initializers/surbase.rb

    vi config/initializers/surbase.rb

### 6. Add config/routes.rb

    get "login/:provider"         => "accounts#login"
    get "auth/:provider/callback" => "accounts#auth_callback"

### 7. Migrate database
    
    rake db:migrate

### 8. Start server

    rails server

### 9. Access URL

    http://localhost:3000/login/twitter
    http://localhost:3000/login/facebook
    http://localhost:3000/login/github

## Contributing

1. Fork it ( http://github.com/<my-github-username>/surbase/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
